date
echo "__Initial 10secs Begins"
sleep 2
echo "TC/TM Buffering FW test starts"
{ sleep 2;

  #GETHEALTH - VALID MODUEL & VALID QUEUE
  #cpu utilization
  echo 4; sleep 1; echo 1; sleep 1; echo 500; sleep 1; 

  #Single queue - EPS(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 0; sleep 1;
  #Single queue - EPS(Q1)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - EPS(Q2)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 2; sleep 1;  
  #Single queue - EPS(Q3)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 3; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 0; sleep 1;  
  #Single queue - ADCS(Q1)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 1; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q2)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 2; sleep 1;  
  #Single queue - ADCS(Q3)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 3; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q4)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 4; sleep 1;  
  #Single queue - ADCS(Q5)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 5; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q6)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 6; sleep 1;  
  #Single queue - ADCS(Q7)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 7; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q8)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 8; sleep 1;  
  #Single queue - ADCS(Q9)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 9; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q10)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 10; sleep 1;  
  #Single queue - ADCS(Q11)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 11; sleep 1;
  #cpu utilization  
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - ADCS(Q12)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 12; sleep 1;  
  #Single queue - ADCS(Q13)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 13; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - COMMS_SBAND(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 2; sleep 1; echo 0; sleep 1;  
  #Single queue - COMMS_UHF(Q1)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 3; sleep 1; echo 0; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 0; sleep 1;  
  #Single queue - SENSORS(Q1)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q2)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 2; sleep 1;  
  #Single queue - SENSORS(Q3)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 3; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q4)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 4; sleep 1;  
  #Single queue - SENSORS(Q5)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 5; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q6)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 6; sleep 1;  
  #Single queue - SENSORS(Q7)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 7; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q8)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 8; sleep 1;  
  #Single queue - SENSORS(Q9)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 9; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q10)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 10; sleep 1;  
  #Single queue - SENSORS(Q11)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 11; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q12)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 12; sleep 1;  
  #Single queue - SENSORS(Q13)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 13; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q14)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 14; sleep 1;  
  #Single queue - SENSORS(Q15)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 15; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Single queue - SENSORS(Q16)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 16; sleep 1;  
  #Single queue - OBC(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 5; sleep 1; echo 0; sleep 1;
  #Single queue - ERROR_HANDLER(Q0)
  echo 1; sleep 1; echo 621; sleep 1; echo 1; sleep 1; echo 6; sleep 1; echo 0; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;

  #GET HEALTH - VALID MODULE & PRIORITY BASED MULTIPLE QUEUES
  #All queues priority basis - EPS
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 0; sleep 1; echo 2; sleep 1;
  #All queues priority basis - EPS
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 1; sleep 1; echo 2; sleep 1;
  #All queues priority basis - COMMS_SBAND 
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 2; sleep 1; echo 2; sleep 1;
  #All queues priority basis - COMMS_UHF
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 3; sleep 1; echo 2; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #All queues priority basis - SENSORS
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 4; sleep 1; echo 2; sleep 1;
  #All queues priority basis - OBC 
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 5; sleep 1; echo 2; sleep 1;
  #All queues priority basis - ERROR_HANDLER
  echo 1; sleep 1; echo 621; sleep 1; echo 2; sleep 1; echo 6; sleep 1; echo 2; sleep 1;

  #GET HEALTH - ALL MODULE & ALL QUEUE
  echo 1; sleep 1; echo 621; sleep 1; echo 3; sleep 1; echo 2; sleep 1;

  #CHANGE QUEUE PRIORITY - VALID MODULE & VALID QUEUE ID
  #EPS(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #EPS(Q1)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 1; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #EPS(Q2)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 2; sleep 1; echo 1; sleep 1;
  #EPS(Q3)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 3; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;


  #ADCS(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #ADCS(Q1)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q2)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 2; sleep 1; echo 1; sleep 1;
  #ADCS(Q3)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 3; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q4)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 1; sleep 1;
  #ADCS(Q5)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 5; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q6)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 6; sleep 1; echo 1; sleep 1;
  #ADCS(Q7)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 7; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q8)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 8; sleep 1; echo 1; sleep 1;
  #ADCS(Q9)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 9; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q10)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 10; sleep 1; echo 1; sleep 1;
  #ADCS(Q11)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 11; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS(Q12)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 12; sleep 1; echo 1; sleep 1;
  #ADCS(Q13)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 13; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #COMMS_SBAND(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 2; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #COMMS_UHF(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 3; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #SENSORS(Q1)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 1; sleep 1; echo 1; sleep 1;
  #SENSORS(Q2)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 2; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q3)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 3; sleep 1; echo 1; sleep 1;
  #SENSORS(Q4)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 4; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q5)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 5; sleep 1; echo 1; sleep 1;
  #SENSORS(Q6)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 6; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q7)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 7; sleep 1; echo 1; sleep 1;
  #SENSORS(Q8)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 8; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q9)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 9; sleep 1; echo 1; sleep 1;
  #SENSORS(Q10)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 10; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q11)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 11; sleep 1; echo 1; sleep 1;
  #SENSORS(Q12)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 12; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q13)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 13; sleep 1; echo 1; sleep 1;
  #SENSORS(Q14)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 14; sleep 1; echo 1; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS(Q15)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 4; sleep 1; echo 15; sleep 1; echo 1; sleep 1;

  #OBC(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 5; sleep 1; echo 0; sleep 1; echo 1; sleep 1;
  #ERROR_HANDLER(Q0)
  echo 1; sleep 1; echo 622; sleep 1; echo 1; sleep 1; echo 6; sleep 1; echo 0; sleep 1; echo 1; sleep 1;

  #CHANGE QUEUE PRIORITY - VALID MODULE & PRIORITY BASED MULTIPLE QUEUES
  #EPS
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 0; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #COMMS SBAND
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 2; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #COMMS UHF
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 3; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #SENSORS
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 4; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #OBC
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 5; sleep 1; echo 1; sleep 1; echo 0; sleep 1;
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ERROR_HANDLER
  echo 1; sleep 1; echo 622; sleep 1; echo 2; sleep 1; echo 6; sleep 1; echo 1; sleep 1; echo 0; sleep 1;

  #CHANGE QUEUE PRIORITY - ALL MODULE & ALL QUEUE 
  echo 1; sleep 1; echo 622; sleep 1; echo 3; sleep 1; echo 0; sleep 1; echo 1; sleep 1; 

  #CHANGE MODULE PRIORITY 
  #EPS
  echo 1; sleep 1; echo 623; sleep 1; echo 0; sleep 1; echo 0; sleep 1; echo 6; sleep 1; 
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ADCS
  echo 1; sleep 1; echo 623; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 5; sleep 1; 
  #COMMS SBAND
  echo 1; sleep 1; echo 623; sleep 1; echo 2; sleep 1; echo 2; sleep 1; echo 4; sleep 1; 
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #COMMS UHF
  echo 1; sleep 1; echo 623; sleep 1; echo 3; sleep 1; echo 3; sleep 1; echo 3; sleep 1; 
  #SENSORS
  echo 1; sleep 1; echo 623; sleep 1; echo 4; sleep 1; echo 4; sleep 1; echo 2; sleep 1; 
  #OBC
  echo 1; sleep 1; echo 623; sleep 1; echo 5; sleep 1; echo 5; sleep 1; echo 1; sleep 1; 
  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #ERROR_HANDLER
  echo 1; sleep 1; echo 623; sleep 1; echo 6; sleep 1; echo 6; sleep 1; echo 0; sleep 1; 
  
  #MEM LEAK
  echo 1; sleep 1; echo 624; sleep 1;
  echo 17;} | ./mfcc_sample_app
echo "TC/TM Buffering FW test end"
